<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Moomap - Đăng nhập</title>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <link rel="stylesheet" href="css/style.css">
  <link rel="stylesheet" href="css/responsive.css">

  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/js/all.min.js"></script>

  <!-- Latest compiled and minified CSS -->
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet">

  <!-- Latest compiled JavaScript -->
  <!-- Import Datatable sau jquery -->
  <!-- Import them style bootstrap cho datatable -->
  <link rel="stylesheet" href="https://cdn.datatables.net/1.10.24/css/dataTables.bootstrap4.min.css">
  <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js"></script>
  <!-- fonts -->
  <link rel="preconnect" href="https://fonts.googleapis.com">
  <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
  <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;700&amp;display=swap"
    rel="stylesheet">


  <!-- SweetAlert2 -->
  <link rel="stylesheet" href="plugins/sweetalert2-theme-bootstrap-4/bootstrap-4.min.css">
  <!-- Toastr -->
  <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
  <!-- File js -->
  <script src="js/action.js"></script>
</head>

<body>
  <div class="body-wrapper">
    <!-- Announcement bar -->
    <div class="announcement-bar bg-dark">
      <div class="container py-2">
        <div class="row d-flex justify-content-between">
          <div class="col-md-3">
            <div class="announce-phone">
              <a class="announcement-text" href="tel: +84917354990">Call: 0917354990</a>
            </div>
          </div>
          <div class="col-md-6">
            <div class="announce">
              <p class="announcement-text text-center">Ngày quốc tế thiếu nhi - Giảm giá 30%</p>
            </div>
          </div>
          <div class="col-md-3">
            <div class="announce-login text-right">
              <a href="login.html" class="announcement-text"><i class="fa-regular fa-user"></i> Login
                &nbsp;</a>
              <span class="announcement-text"> | &nbsp;</span>
              <img class="flag-icon" src="assets/image/VN-Vietnam-Flag-icon.png" alt="">
              <span class="announcement-text">&nbsp;VNĐ</span>
            </div>

          </div>
        </div>
      </div>

    </div>




    <!-- Navbar -->
    <header class="header bg-white sticky-top border-bottom">
      <div class="container">
        <div class="row">
          <div class="col-lg-3 col-md-4 col-4">
            <a href="index.html" class="logo-shop">
              <img src="assets/image/moomap-low-resolution-logo-black-on-transparent-background.png" alt=""
                class="img-thumbnail" width="50%" style="border:none">
            </a>
          </div>
          <div class="col-lg-6 col-md-12 col-12">
            <nav class="navbar navbar-expand-lg navbar-light">
              <div class="container-fluid">
                <div class="d-flex justify-content-between align-items-center w-100">
                  <a class="navbar-brand d-lg-none" href="index.html">
                    <img src="assets/image/moomap-low-resolution-logo-black-on-transparent-background.png" alt=""
                      class="img-thumbnail" width="50%" style="border:none">
                  </a>
                  <button class="navbar-toggler ml-auto" type="button" data-bs-toggle="collapse"
                    data-bs-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="false"
                    aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                  </button>
                </div>

                <div class="collapse navbar-collapse col-12" id="navbarNavDropdown">
                  <ul class="navbar-nav justify-content-lg-between w-100">
                    <li class="nav-item">
                      <a class="nav-link menu-list-item" aria-current="page" href="index.html">Trang
                        chủ</a>
                    </li>
                    <li class="nav-item dropdown" data-bs-hover="dropdown">
                      <a class="nav-link dropdown-toggle" id="navbarDropdownMenuLink" role="button"
                        data-bs-toggle="dropdown" aria-expanded="false">
                        Shop
                      </a>
                      <ul class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                        <li><a class="dropdown-item" href="all-product.html">Tất cả sản phẩm</a>
                        </li>
                        <li><a class="dropdown-item" href="#">Quần áo</a></li>
                        <li><a class="dropdown-item" href="#">Giày, dép</a></li>
                        <li><a class="dropdown-item" href="#">Đồ chơi</a></li>
                      </ul>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link menu-list-item" href="#">Blog</a>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link menu-list-item" href="#">Pages</a>
                    </li>
                    <li class="nav-item">
                      <a class="nav-link menu-list-item" href="contact.html">Liên hệ</a>
                    </li>
                    <li class="nav-item mobile-menu-item">
                      <a class="nav-link menu-list-item" href="cart.html"><i class="fa-solid fa-cart-shopping"></i>
                        Cart<span class="number-order"> (0)</span></a>
                    </li>
                    <li class="nav-item mobile-menu-item">
                      <a class="nav-link menu-list-item" href="wishlist.html"><i class="fa-regular fa-heart"></i><span class="number-wishlist">
                          (0)</span></a>
                    </li>
                    <li class="nav-item mobile-menu-item">
                      <a class="nav-link menu-list-item announcement-login" href="login.html"><i class="fa-regular fa-user"></i> Login</a>
                      <a class="nav-link info-login-mobile" href="#" id="navbarDropdownMenuLink" role="button" style="display: none;"
                        data-bs-toggle="dropdown" aria-expanded="false">
                        <span class="hi-user">&nbsp;<i class="fa-regular fa-user"></i><i
                            class="fas fa-sort-down mb-1"></i></span>
                        <ul class="dropdown-menu type-display" aria-labelledby="navbarDropdownMenuLink">
                          <li><span class="dropdown-item" type="default" href="#">Thông tin tài khoản</span></li>
                          <li><span class="dropdown-item" type="best-seller" href="#">Dashboard</span></li>
                          <li class="btn-log-out"><span class="dropdown-item" type="desc" href="#">Đăng xuất</span></li>
                        </ul>
                      </a>
                    </li>
                  </ul>
                </div>
              </div>
            </nav>
          </div>
          <div id="cart-love" class="col-lg-3 d-none d-lg-flex align-items-center justify-content-end text-right">
            <a class="text-dark" href="wishlist.html"><i class="fa-regular fa-heart"></i><span class="number-wishlist">(0)</span></a>&nbsp;&nbsp;
            <a class="text-dark" href="cart.html"><i class="fa-solid fa-cart-shopping"></i> Cart<span
                class="number-order"> (0)</span></a>
          </div>
        </div>


      </div>
    </header>

    <!-- Main content -->
    <main class="pb-5">
      <!-- Navigate tab -->
      <div class="container navigate-tab mt-4  ">
        <div class="row">
          <div class="d-flex align-items-center">
            <a href="index.html" class="mr-2 home-page">Trang chủ</a>
            <span class="mr-2 text-muted">></span>
            <p class="mb-0">Đăng nhập</p>
          </div>
        </div>
      </div>
      <!-- Login form -->
      <div class="container mt-5 pt-5">

        <form class="login-form mx-auto shadow">
          <div class="row d-flex justify-content-center p-5">
            <div class="col-12 text-center mt-3 mb-3">
              <h1>Login</h1>
            </div>
            <div class="col-12">
              <label for="">Tên đăng nhập</label>
              <input id="inp-username" type="text" class="form-control">
            </div>

            <div class="col-12">
              <label for="">Mật khẩu</label>
              <input id="inp-password" type="password" class="form-control" autocomplete="off">
            </div>

            <div class="col-12 mt-2 mb-2">
              <a class="link-to" href="forgot-password.html">Quên mật khẩu?</a>
              <button id="btn-login" type="button" class="btn btn-dark w-100 my-2">Đăng nhập</button>
              <a href="register.html" class="btn btn-outline-dark w-100">Tạo tài khoản</a>
            </div>
          </div>
        </form>
      </div>
    </main>

    <!-- FOOTER -->
    <footer class="text-center text-lg-start border border-white mt-xl-5 pt-4 bg-dark text-white">
      <!-- Grid container -->
      <div class="container p-4">
        <!--Grid row-->
        <div class="row">
          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-lg-0">
            <h5 class="text-uppercase mb-4">Về Moomap</h5>

            <ul class="list-unstyled mb-4">
              <li>
                <a href="#!" class="text-white">Giới thiệu về Moomap</a>
              </li>
              <li>
                <a href="#!" class="text-white">Tạp chí của Moomap</a>
              </li>
              <li>
                <a href="#!" class="text-white">Nhóm của Moomap</a>
              </li>
            </ul>
          </div>
          <!--Grid column-->

          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-lg-0">
            <h5 class="text-uppercase mb-4">Mua sắm</h5>

            <ul class="list-unstyled">
              <li>
                <a href="#!" class="text-white">Bé trai</a>
              </li>
              <li>
                <a href="#!" class="text-white">Bé gái</a>
              </li>
              <li>
                <a href="#!" class="text-white">Quần áo</a>
              </li>
              <li>
                <a href="#!" class="text-white">Giày, dép</a>
              </li>
              <li>
                <a href="#!" class="text-white">Đồ chơi</a>
              </li>
            </ul>
          </div>
          <!--Grid column-->

          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-lg-0">
            <h5 class="text-uppercase mb-4">Thanh toán</h5>

            <ul class="list-unstyled">
              <li>
                <a href="#!" class="text-white">Giao hàng & phí giao hàng</a>
              </li>

              <li>
                <a href="#!" class="text-white">Bảo hành & đổi trả</a>
              </li>

              <li>
                <a href="#!" class="text-white">Hướng dẫn mua hàng</a>
              </li>
              <li>
                <a href="#!" class="text-white">Hướng dẫn thanh toán</a>
              </li>
            </ul>
          </div>
          <!--Grid column-->

          <!--Grid column-->
          <div class="col-lg-3 col-md-6 mb-4 mb-lg-0">
            <h5 class="text-uppercase mb-4">Đăng ký nhận thông báo</h5>

            <div class="form-outline form-white mb-2">
              <input type="email" id="form5Example2" class="form-control" placeholder="Nhập địa chỉ email của bạn" />
            </div>

            <button type="submit" class="btn btn-success btn-block">Đăng ký</button>

          </div>
          <!--Grid column-->
        </div>
        <!--Grid row-->
        <div class="social-network text-center mt-2">
          <a href="https://twitter.com"><i class="fa-brands fa-twitter"></i>&nbsp;</a>
          <a href="https://www.facebook.com">&nbsp;<i class="fa-brands fa-facebook"></i>&nbsp;</a>
          <a href="https://www.instagram.com">&nbsp;<i class="fa-brands fa-instagram"></i>&nbsp;</a>
          <a href="https://www.tiktok.com">&nbsp;<i class="fa-brands fa-tiktok"></i>&nbsp;</a>
          <a href="https://www.youtube.com">&nbsp;<i class="fa-brands fa-youtube"></i></a>
        </div>
      </div>
      <!-- Grid container -->

      <!-- Copyright -->
      <div class="text-center p-3 border-top border-white">
        © 2023 Copyright:
        <a class="text-white" href="https://moomap.com/">Moomap.com</a>
      </div>
      <!-- Copyright -->
    </footer>
  </div>
</body>
<!-- SweetAlert2 -->
<script src="plugins/sweetalert2/sweetalert2.min.js"></script>
<!-- Toastr -->
<script src="plugins/toastr/toastr.min.js"></script>
<script>

  // VÙNG 1: VÙNG KHAI BÁO BIẾN TOÀN CỤC
  const gBASE_URL = "http://localhost:8080/";

   // Hiển thị thông báo
   var gToast = Swal.mixin({
    toast: true,
    position: 'top-end',
    showConfirmButton: false,
    timer: 3000
  });

  const gTOKEN = getCookie("token");
  // VÙNG 2: VÙNG GÁN VÀ THỰC THI SỰ KIỆN CHO CÁC ELEMENT
  onPageLoading();

  // Thực thi sự kiện nhấn nút đăng nhập
  $("#btn-login").on("click", function () {
    onBtnLoginClick();
  });

  // VÙNG 3: VÙNG VIẾT CÁC HÀM XỬ LÝ SỰ KIỆN
  function onPageLoading() {
    if(gTOKEN) {
      callApiToCheckToken();
    }
    displayNumberOrder();
    displayNumberWishlist();
  }

  // Hàm xử lý sự kiện nhất nút login
  function onBtnLoginClick() {
    let vLoginData = {
      username: "",
      password: ""
    }
    // gọi hàm lấy dữ liệu login
    getLoginData(vLoginData);
    // Validate dữ liệu
    let vValidateLoginData = validateLoginData(vLoginData);
    if (vValidateLoginData) {
      callApiToLoginAccount(vLoginData);
    }
  }
  // VÙNG 4: VÙNG VIẾT CÁC HÀM DÙNG CHUNG
  // Hàm lấy thông tin đăng nhập
  function getLoginData(paramLoginData) {
    paramLoginData.username = $("#inp-username").val();
    paramLoginData.password = $("#inp-password").val();
  }

  // Hàm validate dữ liệu nhập vào
  function validateLoginData(paramLoginData) {
    if (paramLoginData.username == "") {
      alertWarning("Vui lòng nhập username!");
      return false;
    }

    if (paramLoginData.password == "") {
      alertWarning("Vui lòng nhập mật khẩu!");
      return false;
    }
    return true;
  }

  // Hàm gọi APi để đăng nhập tài khoản
  function callApiToLoginAccount(paramLoginData) {
    $.ajax({
      type: "POST",
      url: gBASE_URL + "login",
      contentType: "application/json",
      data: JSON.stringify(paramLoginData),
      success: function (paramRes) {
        alertSuccess("Đăng nhập thành công!");
        responseHandler(paramRes);
      },
      error: function (paramError) {
        alertError(paramError.responseText);
        console.log(paramError.status);
      }
    })
  }

  // Hàm hiển thông báo  thành công
  function alertSuccess(paramNotification) {
    gToast.fire({
      icon: 'success',
      title: paramNotification
    });
  }

  // Hàm thông báo lỗi validate theo toast
  function alertWarning(paramTitile) {
    gToast.fire({
      icon: 'warning',
      title: "" + paramTitile
    });
  }

  // Hàm hiển thông báo có lỗi trong quá trình đăng ký
  function alertError(paramTitile) {

  gToast.fire({
    icon: 'error',
    title: paramTitile
});
}

// Gọi API để lấy thông tin về token
function callApiToCheckToken() {
  //Khai báo xác thực ở headers
  var vHeaders = {
    Authorization: "Token " + gTOKEN
  };

  $.ajax({
    type: "GET",
    url: gBASE_URL + "hello1",
    headers: vHeaders,
    success: function (paramRes) {
      window.location.href = "index.html";
    },
    error: function (paramError) {
      console.log(paramError.status);
    }
  });
}

</script>

</html>